Package org.apache.maven.scm.provider.git.gitexe.command.remove

## Class GitRemoveCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.remove.AbstractRemoveCommand
    - - org.apache.maven.scm.provider.git.gitexe.command.remove.GitRemoveCommand

All Implemented Interfaces:
  `Command`, `GitCommand`

    public class GitRemoveCommand
    extends AbstractRemoveCommand
    implements GitCommand

Author:
  Mark Struberg, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`GitRemoveCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(java.io.File workingDirectory, java.util.List<java.io.File> files)`
`protected ScmResult` `executeRemoveCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.lang.String message)`

### Methods inherited from class org.apache.maven.scm.command.remove.AbstractRemoveCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### GitRemoveCommand

    public GitRemoveCommand()

### Method Detail

#### executeRemoveCommand

    protected ScmResult executeRemoveCommand​(ScmProviderRepository repo,
                                             ScmFileSet fileSet,
                                             java.lang.String message)
                                      throws ScmException

Specified by:
  `executeRemoveCommand` in class `AbstractRemoveCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(java.io.File workingDirectory,
                                                                             java.util.List<java.io.File> files)
                                                                      throws ScmException

Throws:
  `ScmException`